with GNATCOM.IInterface;

with GNATCOM.Errors;

package body MSHTML.IHTMLFontSizesCollection_Interface is

   procedure Initialize (This : in out IHTMLFontSizesCollection_Type) is
   begin
      Set_IID (This, IID_IHTMLFontSizesCollection);
   end Initialize;

   function Pointer (This : IHTMLFontSizesCollection_Type)
     return Pointer_To_IHTMLFontSizesCollection
   is
   begin
      return To_Pointer_To_IHTMLFontSizesCollection (Address (This));
   end Pointer;

   procedure Attach (This    : in out IHTMLFontSizesCollection_Type;
                     Pointer : in     Pointer_To_IHTMLFontSizesCollection)
   is
   begin
      Attach (This, GNATCOM.IInterface.To_Pointer_To_IUnknown
              (Pointer.all'Address));
   end Attach;

   function Get_length
     (This : IHTMLFontSizesCollection_Type)
     return Interfaces.C.long
   is
       RetVal : aliased Interfaces.C.long;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Get_length
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end Get_length;

   function Getu_newEnum
     (This : IHTMLFontSizesCollection_Type)
     return GNATCOM.Types.Pointer_To_IUnknown
   is
       RetVal : aliased GNATCOM.Types.Pointer_To_IUnknown;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Getu_newEnum
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end Getu_newEnum;

   function Get_forFont
     (This : IHTMLFontSizesCollection_Type)
     return GNATCOM.Types.BSTR
   is
       RetVal : aliased GNATCOM.Types.BSTR;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Get_forFont
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end Get_forFont;

   function item
     (This   : IHTMLFontSizesCollection_Type;
      index  : Interfaces.C.long)
     return Interfaces.C.long
   is
       RetVal : aliased Interfaces.C.long;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.item
         (Pointer (This),
          index,
          RetVal'Unchecked_Access));

      return RetVal;
   end item;

end MSHTML.IHTMLFontSizesCollection_Interface;

